> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getunleash.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server.

# Frontend Post Feature

POST https://edge.unleash-instance.example.com/api/frontend/features/{feature_name}
Content-Type: application/json

Reference: https://docs.getunleash.io/api/frontend-post-feature

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: edge-api
  version: 1.0.0
paths:
  /api/frontend/features/{feature_name}:
    post:
      operationId: frontend-post-feature
      summary: Frontend Post Feature
      tags:
        - subpackage_frontendApi
      parameters:
        - name: feature_name
          in: path
          description: The name of the feature
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Return evaluated state for a single feature
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EvaluatedToggle'
        '403':
          description: Was not allowed to access features
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: The feature was not found
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Context'
servers:
  - url: https://edge.unleash-instance.example.com
    description: Your Unleash Edge instance (replace with your actual URL)
components:
  schemas:
    Context:
      type: object
      properties:
        appName:
          type:
            - string
            - 'null'
        currentTime:
          type:
            - string
            - 'null'
        environment:
          type:
            - string
            - 'null'
        properties:
          type:
            - object
            - 'null'
          additionalProperties:
            type: string
        remoteAddress:
          type:
            - string
            - 'null'
        sessionId:
          type:
            - string
            - 'null'
        userId:
          type:
            - string
            - 'null'
      title: Context
    Payload:
      type: object
      properties:
        type:
          type: string
        value:
          type: string
      required:
        - type
        - value
      title: Payload
    EvaluatedVariant:
      type: object
      properties:
        enabled:
          type: boolean
        name:
          type: string
        payload:
          oneOf:
            - $ref: '#/components/schemas/Payload'
            - type: 'null'
      required:
        - enabled
        - name
      title: EvaluatedVariant
    EvaluatedToggle:
      type: object
      properties:
        enabled:
          type: boolean
        impressionData:
          type: boolean
        impression_data:
          type: boolean
        name:
          type: string
        variant:
          $ref: '#/components/schemas/EvaluatedVariant'
      required:
        - enabled
        - impressionData
        - impression_data
        - name
        - variant
      title: EvaluatedToggle
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "enabled": true,
  "impressionData": true,
  "impression_data": true,
  "name": "new-dashboard-feature",
  "variant": {
    "enabled": true,
    "name": "beta-user",
    "payload": null
  }
}
```

**SDK Code**

```python
import requests

url = "https://edge.unleash-instance.example.com/api/frontend/features/feature_name"

payload = {}
headers = {
    "Authorization": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://edge.unleash-instance.example.com/api/frontend/features/feature_name';
const options = {
  method: 'POST',
  headers: {Authorization: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://edge.unleash-instance.example.com/api/frontend/features/feature_name"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://edge.unleash-instance.example.com/api/frontend/features/feature_name")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://edge.unleash-instance.example.com/api/frontend/features/feature_name")
  .header("Authorization", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://edge.unleash-instance.example.com/api/frontend/features/feature_name', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://edge.unleash-instance.example.com/api/frontend/features/feature_name");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://edge.unleash-instance.example.com/api/frontend/features/feature_name")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```